import org.Hello.*;

import java.util.Properties;
import javax.naming.InitialContext;

public class HelloClient
{
 	public static void main(String args[]) 
 	{
		try {
			// Properties fr JNDI (hier: Nutzung von OpenEJB)
			Properties p = new Properties();
			p.put("java.naming.factory.initial",
				  "org.apache.openejb.client.RemoteInitialContextFactory");
			p.put("java.naming.provider.url", "ejbd://localhost:9006");
			// User + Passwort sind ptional!
			// p.put("java.naming.security.principal", "user");
			// p.put("java.naming.security.credentials", "password");
			InitialContext ctx = new InitialContext(p);
	
    		Object obj = ctx.lookup("HelloImplRemote");
    		HelloRemote hello = (HelloRemote)obj;
    
    		System.out.println("Client: hello.sayHello()");
    		System.out.println(hello.sayHello());
    		System.out.println(hello.sayHello());
	  	} 
	  	catch (Exception e) {
	    		e.printStackTrace();
  		}
 	}
}
